﻿<%@ Page Language="C#" AutoEventWireup="false" CodeBehind="WebFormSample.aspx.cs"
    Inherits="CGTC.WebFormSample" %>

<%@ Register Assembly="Infragistics4.Web.v12.2, Version=12.2.20122.1007, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics4.Web.v12.2, Version=12.2.20122.1007, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.NavigationControls" TagPrefix="ig" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
    <script type="text/javascript" language="javascript" src="/site/secure/cgtc/Scripts/prototype.js"></script>
    <style type="text/css">
    .hideRow
        {
            visibility: hidden;
            display: none;
        }
    
    </style>
    <script type="text/javascript">
        var index;
        function WebHierarchicalDataGrid1_ContainerGrid_RowExpanded(sender, eventArgs) {
            callAddChildRow(eventArgs.get_row()._index);
        }
        function callAddChildRow(index) {
            var grid = $find("WDG_SingleOrderEntry");
            var childBand = grid.get_gridView().get_rows().get_row(index).get_rowIslands()[0];
            for (var i = 0; i <= 60; i++) {
                var childRow = new Array(i, "asda", "asdasd", "asdasda");
                
                childBand.get_rows().add(childRow);
            }
        }

        

        function WebHierarchicalDataGrid1_ContainerGrid_RowCollapsed(sender, eventargs) {
            var grid = $find("WDG_SingleOrderEntry").get_gridView();
            row_index = eventargs.get_row()._index;
            var childBand = eventargs.get_row().get_rowIslands()[0];
            for (var i = 0; i < childBand.get_rows().get_length(); i++) {
                var rowToRemove = childBand.get_rows().get_row(i);
                //childBand.get_rows().get_row(i)._element.className = "hideRow";
                childBand.get_rows().remove(rowToRemove);
            }
        }

    </script>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <ig:WebHierarchicalDataGrid ID="WDG_SingleOrderEntry" runat="server" 
        Width="800px" AutoGenerateBands="False" AutoGenerateColumns="False" DataKeyFields="CDE_SYMBOL" InitialDataBindDepth="-1" EnableAjax="false">
        <ClientEvents RowExpanded="WebHierarchicalDataGrid1_ContainerGrid_RowExpanded" RowCollapsed="WebHierarchicalDataGrid1_ContainerGrid_RowCollapsed"/>
        <Columns>
            <ig:UnboundField Key="delete" Header-Text="Delete" Width="32px" CssClass="GridHyperLink" >
                <Header Text="Delete"></Header>
            </ig:UnboundField>
            <ig:BoundDataField Key="CDE_SYMBOL" DataFieldName="CDE_SYMBOL" CssClass="GridHyperLink" 
                Header-Text="Security" Header-CssClass="GridHeaderMouseOver" Width="68px">
                <Header Text="Security"></Header>
            </ig:BoundDataField>
            <ig:BoundDataField Key="investmentVehicle" Header-CssClass="GridHeaderMouseOver"
                DataFieldName="STA_BS" Header-Text="Product" Width="68px">
                <Header Text="Product"></Header>
            </ig:BoundDataField>
            <ig:BoundDataField Key="currentQty" Header-CssClass="GridHeaderMouseOver" DataFieldName="NUM_SHARE" 
                Header-Text="Current Qty" Width="65px">
                <Header Text="Current Qty"></Header>
            </ig:BoundDataField>
            <ig:BoundDataField Key="currentPctOfAcct" Header-CssClass="GridHeaderMouseOver" DataFormatString="{0:N}" 
                DataFieldName="POS_PCT" Header-Text="Current %" Width="65px">
                <Header Text="Current %"></Header>
            </ig:BoundDataField>
            
        </Columns>
        <Bands>
            <ig:Band  AutoGenerateColumns="false" Key="XX">
                <Columns>
                    <ig:BoundDataField Key="XX"  CssClass="GridHyperLink" 
                        Header-Text="Security" Header-CssClass="GridHeaderMouseOver" Width="68px">
                        <Header Text="Security"></Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField Key="unitsLeft" Header-Text="Share Qty" 
                        Width="68px">
                        <Header Text="Share QTY"></Header>
                        <Footer CssClass="GridItemFooterAlignLeft" />
                    </ig:BoundDataField>
                    <ig:BoundDataField Key="dateAcquiredHid"  Width="188px" >
                        <Header Text="Date Acquired"></Header>
                        <Footer CssClass="GridItemFooterNoBorder" />
                    </ig:BoundDataField>
                    <ig:BoundDataField Key="unitCost"  Header-Text="UnitCost" 
                        Width="68px">
                        <Header Text="UnitCost"></Header>
                        <Footer CssClass="GridItemFooterAlignLeft" Text="/ Loss :" />
                    </ig:BoundDataField>
                </Columns>
                <Behaviors>
                    <ig:EditingCore EnableInheritance="True" Enabled="true" BatchUpdating="true">
                        <Behaviors>
                            <ig:RowAdding EnableInheritance="True" Enabled="true" Alignment="Bottom">
                                <EditModeActions MouseClick="Single" />
                            </ig:RowAdding>
                        </Behaviors>
                    </ig:EditingCore>
                </Behaviors>
            </ig:Band>
        </Bands>
        <Behaviors>
            <ig:Activation>
            </ig:Activation>
            <ig:EditingCore BatchUpdating="true">
            </ig:EditingCore>
        </Behaviors>

    </ig:WebHierarchicalDataGrid>
    </form>
</body>
</html>
